require("module-alias/register"); // 别名加载

import express from "express";
import bodyParser from "body-parser";
import routerIndex from "./src/router/index";
import { createConnection } from "typeorm";
import cors from "cors";

const app = express();
const port = 8101;
createConnection().then(() => {
  console.log("数据库连接成功！");
  app.listen(port, () => {
    console.log(`开始监听${port}了`);
  });
});

app.use(bodyParser.urlencoded({ extended: true })); // 进行url解码
app.use(bodyParser.json());

app.use(cors());

// 匹配接口路由
app.use("/", routerIndex);
